This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 130095 - missing entries in console.perms
missing entries in console.perms
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-16 19:23 EDT by David Zeuthen
Modified: 2013-03-05 22:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 08:57:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2004-08-16 19:23:06 EDT
Description of problem:
With the current udev naming convention (udev-030-3), there are
missing entries in /etc/security/console.terms such that e.g. USB
based optical drivers aren't matched. This means that the console user
can't eject them from the commandline or gnome-vfs/nautilus.

Version-Release number of selected component (if applicable):
pam-0.77-54

How reproducible:
Always

Additional info:
Specifically, the entries '/dev/sr* /dev/scd* /dev/pcd*' should be
added to the <cdrom> class; see
/etc/udev/permissions.d/50-udev.permissions for an overview of kernel
2.6 device files. See also bug #130094 on udev.
Comment 1 Bill Nottingham 2004-08-16 22:50:05 EDT
sr0 shouldn't be created.
Comment 2 Bill Nottingham 2004-08-16 22:50:38 EDT
Moreover, thinking about it, cdrom* links should be created by the
udev config.
Comment 3 David Zeuthen 2004-08-17 18:27:43 EDT
Symlinks will solve this issue, but won't you need at lot of, perhaps
complex, rules in udev?

Case in point, I've discovered that this issue also applies to my
DVD-ROM drive of my LS120/DVD-ROM combo at /dev/hdd. It works for the
LS120 drive but only because of a stale symlink /dev/cdrom->/dev/hdc
(left by kudzu I presume when I had my floppy/CD-RW combo in). 

To me it seems that the only thing in sysfs you can check on is the
/block/hd[cd]/removable file. Unless you want to do a callout and look
at /proc/ide/.. stuff like hal does. Is this sufficient, e.g. how do
you determine whether it's floppy or optical drive to use the correct
name for the symlink? Heuristics? To me it seems that it's necessary
to look at /proc/ide/hd[cd]/media, that's what hal does anyway, and
that gives you floppy,disk,cdrom,tape,UNKNOWN according to the kernel
source.

On a somewhat related issue, will we shift to a minimal tmpfs or ramfs
/dev for FC3? Having the 'right rules' to give names expected by the
(static) console.perms file is a prerequisite for this it seems as
kudzu won't run on every boot and create symlinks.
Comment 4 Tomas Mraz 2004-10-14 07:36:42 EDT
So how we decided? To create symlinks or to modify the console.perms
file? If the former answer is right then this bug should be reassigned
to udev.
Comment 5 David Zeuthen 2004-10-14 08:57:13 EDT
udev now creates the cdrom and floppy compatibility symlinks so I am
closing this bug.

Note You need to log in before you can comment on or make changes to this bug.